<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>iCelSequence Struct Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">iCelSequence Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="iCelSequence" --><!-- doxytag: inherits="iBase" -->
<p>A sequence.  
 <a href="structiCelSequence.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="sequences_8h_source.html">tools/sequences.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for iCelSequence:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structiCelSequence.png" usemap="#iCelSequence_map" alt=""/>
  <map id="iCelSequence_map" name="iCelSequence_map">
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html" alt="iBase" shape="rect" coords="0,0,90,24"/>
</map>
 </div></div>

<p><a href="structiCelSequence-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelSequence.html#aa7f15bc87d87f2c2b3bb1549c9a5c3ef">Abort</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Abort this sequence.  <a href="#aa7f15bc87d87f2c2b3bb1549c9a5c3ef"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelSequence.html#a13d345168cc0ba16b74237d474c7639a">AddSequenceCallback</a> (<a class="el" href="structiCelSequenceCallback.html">iCelSequenceCallback</a> *cb)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Register a callback that is fired when this sequence finishes.  <a href="#a13d345168cc0ba16b74237d474c7639a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelSequence.html#a63c5257715c993078d072df59c8dc533">Finish</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Finish this sequence.  <a href="#a63c5257715c993078d072df59c8dc533"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelSequence.html#a78578ae6f3caa49334367abb941149ba">GetName</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the name of this sequence.  <a href="#a78578ae6f3caa49334367abb941149ba"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelSequence.html#ade682270a70e9a3376bb02b7927cfae1">IsRunning</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Return true if this sequence is currently running.  <a href="#ade682270a70e9a3376bb02b7927cfae1"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelSequence.html#a1c4ab112920cd2084de30cb9ddbcfdb5">LoadState</a> (<a class="el" href="structiCelDataBuffer.html">iCelDataBuffer</a> *databuf)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Load state of this sequence.  <a href="#a1c4ab112920cd2084de30cb9ddbcfdb5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelSequence.html#af73a002a200c8d4c755b73ea09af21f2">RemoveSequenceCallback</a> (<a class="el" href="structiCelSequenceCallback.html">iCelSequenceCallback</a> *cb)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Remove a callback.  <a href="#af73a002a200c8d4c755b73ea09af21f2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelSequence.html#adf58ed7f2cba1ab81542e5c367ea9a09">SaveState</a> (<a class="el" href="structiCelDataBuffer.html">iCelDataBuffer</a> *databuf)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Save state of this sequence.  <a href="#adf58ed7f2cba1ab81542e5c367ea9a09"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelSequence.html#a6460a1fbb2ecf61be75f22ecc7a7fc48">Start</a> (<a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#ga28e82998c4c2d1197a1d412bba7da793">csTicks</a> delay, <a class="el" href="structiCelParameterBlock.html">iCelParameterBlock</a> *params)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Fire this sequence.  <a href="#a6460a1fbb2ecf61be75f22ecc7a7fc48"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>A sequence. </p>

<p>Definition at line <a class="el" href="sequences_8h_source.html#l00127">127</a> of file <a class="el" href="sequences_8h_source.html">sequences.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="aa7f15bc87d87f2c2b3bb1549c9a5c3ef"></a><!-- doxytag: member="iCelSequence::Abort" ref="aa7f15bc87d87f2c2b3bb1549c9a5c3ef" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiCelSequence.html#aa7f15bc87d87f2c2b3bb1549c9a5c3ef">iCelSequence::Abort</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Abort this sequence. </p>
<p>This will simply abort the sequence without doing any further operation. This can leave the objects on which this sequence operates in undefined states. </p>

</div>
</div>
<a class="anchor" id="a13d345168cc0ba16b74237d474c7639a"></a><!-- doxytag: member="iCelSequence::AddSequenceCallback" ref="a13d345168cc0ba16b74237d474c7639a" args="(iCelSequenceCallback *cb)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiCelSequence.html#a13d345168cc0ba16b74237d474c7639a">iCelSequence::AddSequenceCallback</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiCelSequenceCallback.html">iCelSequenceCallback</a> *&#160;</td>
          <td class="paramname"><em>cb</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Register a callback that is fired when this sequence finishes. </p>

</div>
</div>
<a class="anchor" id="a63c5257715c993078d072df59c8dc533"></a><!-- doxytag: member="iCelSequence::Finish" ref="a63c5257715c993078d072df59c8dc533" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiCelSequence.html#a63c5257715c993078d072df59c8dc533">iCelSequence::Finish</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Finish this sequence. </p>
<p>The sequence will be executed at end condition which means that all operations that have not yet fully executed will be executed at relative time index '1'. So the end result will be as if the sequence completed normally. </p>

</div>
</div>
<a class="anchor" id="a78578ae6f3caa49334367abb941149ba"></a><!-- doxytag: member="iCelSequence::GetName" ref="a78578ae6f3caa49334367abb941149ba" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const char* <a class="el" href="structiCelSequence.html#a78578ae6f3caa49334367abb941149ba">iCelSequence::GetName</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the name of this sequence. </p>

</div>
</div>
<a class="anchor" id="ade682270a70e9a3376bb02b7927cfae1"></a><!-- doxytag: member="iCelSequence::IsRunning" ref="ade682270a70e9a3376bb02b7927cfae1" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiCelSequence.html#ade682270a70e9a3376bb02b7927cfae1">iCelSequence::IsRunning</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Return true if this sequence is currently running. </p>

</div>
</div>
<a class="anchor" id="a1c4ab112920cd2084de30cb9ddbcfdb5"></a><!-- doxytag: member="iCelSequence::LoadState" ref="a1c4ab112920cd2084de30cb9ddbcfdb5" args="(iCelDataBuffer *databuf)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiCelSequence.html#a1c4ab112920cd2084de30cb9ddbcfdb5">iCelSequence::LoadState</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiCelDataBuffer.html">iCelDataBuffer</a> *&#160;</td>
          <td class="paramname"><em>databuf</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Load state of this sequence. </p>

</div>
</div>
<a class="anchor" id="af73a002a200c8d4c755b73ea09af21f2"></a><!-- doxytag: member="iCelSequence::RemoveSequenceCallback" ref="af73a002a200c8d4c755b73ea09af21f2" args="(iCelSequenceCallback *cb)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiCelSequence.html#af73a002a200c8d4c755b73ea09af21f2">iCelSequence::RemoveSequenceCallback</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiCelSequenceCallback.html">iCelSequenceCallback</a> *&#160;</td>
          <td class="paramname"><em>cb</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Remove a callback. </p>

</div>
</div>
<a class="anchor" id="adf58ed7f2cba1ab81542e5c367ea9a09"></a><!-- doxytag: member="iCelSequence::SaveState" ref="adf58ed7f2cba1ab81542e5c367ea9a09" args="(iCelDataBuffer *databuf)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiCelSequence.html#adf58ed7f2cba1ab81542e5c367ea9a09">iCelSequence::SaveState</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiCelDataBuffer.html">iCelDataBuffer</a> *&#160;</td>
          <td class="paramname"><em>databuf</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Save state of this sequence. </p>

</div>
</div>
<a class="anchor" id="a6460a1fbb2ecf61be75f22ecc7a7fc48"></a><!-- doxytag: member="iCelSequence::Start" ref="a6460a1fbb2ecf61be75f22ecc7a7fc48" args="(csTicks delay, iCelParameterBlock *params)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiCelSequence.html#a6460a1fbb2ecf61be75f22ecc7a7fc48">iCelSequence::Start</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#ga28e82998c4c2d1197a1d412bba7da793">csTicks</a>&#160;</td>
          <td class="paramname"><em>delay</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structiCelParameterBlock.html">iCelParameterBlock</a> *&#160;</td>
          <td class="paramname"><em>params</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Fire this sequence. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">delay</td><td>is a delay before the sequence will really start. </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>false if the sequence is already running. </dd></dl>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>tools/<a class="el" href="sequences_8h_source.html">sequences.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
